System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

For installing java1.4.2.12 on hp-ux server:Error

 
SOLVED
Go to solution
Highlighted
Occasional Advisor

For installing java1.4.2.12 on hp-ux server:Error

Hi,

I ma trying to install java1.4.2.12 on one of the hp-ux server
the command i have used is
swinstall -s :/var/spool/sw/sdk14_14212_pa.depot
During the analysis phase this is the error i have encountered
Could not apply the software selection │ │
│┌──│ "Jre14,r=1.4.2.12.00,a=HP-UX_B.11.00_32/64,v=HP" because a different │─┐ │
││ .│ variant of this same product has already been selected.

I am a bit lost. Can anyone help me. I am totally clueless regarding this message thrown by the system.

Thanks in Advance.
8 REPLIES 8
Highlighted
Honored Contributor

Re: For installing java1.4.2.12 on hp-ux server:Error

Akshata,

Have you downloaded the correct Java depot?
What is the OS version. And have you downloaded the Java for same version.

Also you can check /var/adm/sw/swinstall.log for error details,


Cheers,
Raj.
" If u think u can , If u think u cannot , - You are always Right . "
Highlighted
Honored Contributor

Re: For installing java1.4.2.12 on hp-ux server:Error

Do u have any other veriosn of Java already installed?
Highlighted
Honored Contributor

Re: For installing java1.4.2.12 on hp-ux server:Error

akshata,

If you are using "\*" to select all products, change this appraoch to specifying each piece of software to install.

Regards,

Jaime.
Work hard when the need comes out.
Highlighted
Occasional Advisor

Re: For installing java1.4.2.12 on hp-ux server:Error

Yes older version of java was used java1.4.2.03 but before installing java1.4.2.12. Also I have downloaded this java version from HP website and before downloading it also said it supports HP-UX 11i. And I feel its the right version of java.

Thanks in advance

Akshata
Highlighted
Occasional Advisor

Re: For installing java1.4.2.12 on hp-ux server:Error

I removed the older version of java1.4.2.03 and tried to reinstall java1.4.2.12. But the same message is occuring once again.

Regards
Akshata
Highlighted
Honored Contributor
Solution

Re: For installing java1.4.2.12 on hp-ux server:Error

You can install new version of java when your old version is present , it will just simply add the new path, there is no problem on that.



Cheers,
Raj.
" If u think u can , If u think u cannot , - You are always Right . "
Highlighted
Honored Contributor

Re: For installing java1.4.2.12 on hp-ux server:Error


Akshata,

Well , you need to check the hp-ux patches in the system ,
Certain HP-UX patches required for Java
Always check the patches required for java.

Patches should be installed before you install the Java software. Some patches are absolutely required to run Java, others are recommended for optimum performance.

You can check this link :

http://h18012.www1.hp.com/java/patches/index.html

Cheers,
Raj.
" If u think u can , If u think u cannot , - You are always Right . "
Highlighted
Occasional Advisor

Re: For installing java1.4.2.12 on hp-ux server:Error

I would like to share some of my view points on which my doubts have been cleared.
The file which I had copied was correct. Since the older version had already been installed it was skipping some files saying that it is already present. I went ahead with partial analysis successful, the software was installed successfully after that.

I thank all of them for taking time to reply to my query.

Cheers
Akshata